"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildSchema = exports.scalarResolvers = void 0;
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const schema_1 = require("@graphql-tools/schema");
const graphql_scalars_1 = require("graphql-scalars");
exports.scalarResolvers = {
    JSONObject: graphql_scalars_1.JSONObjectResolver,
    Timestamp: graphql_scalars_1.TimestampResolver
};
function buildSchema(genesis) {
    return schema_1.makeExecutableSchema({
        resolvers: Object.assign({}, exports.scalarResolvers, {
            Query: {
                genesis: () => __awaiter(this, void 0, void 0, function* () { return genesis; })
            }
        }),
        typeDefs: fs_1.default.readFileSync(path_1.default.resolve(__dirname, '..', 'schema.graphql'), 'utf-8')
    });
}
exports.buildSchema = buildSchema;
//# sourceMappingURL=executableSchema.js.map